services:
  shop:
    image: registry.yunzmall.com/yunzhong/shop:php-swoole4.5.11
    ports:
      - 暴露api端口:5200
    restart: always
    volumes:
      - /etc/localtime:/etc/localtime:ro
      - 宿主机站点目录路径:容器内路径
      - 启动队列和swoole的配置:/etc/supervisor.d
    command: ["supervisord", "-c", "/etc/supervisord.conf"]
    healthcheck:
      test: ["CMD-SHELL", "/usr/bin/curl -fs http://localhost:5200/health||exit 1"]
      interval: 30s
      timeout: 10s
      retries: 3
      start_period: 15s
